
$regfile = "attiny13.dat"
$crystal = 8000000

Config Portb = Output                                       'Alle Pins auer PORTB.3
Config Portb.3 = Input                                      'auf Output stellen
Config Adc = Single , Prescaler = Auto , Reference = Avcc   'ADC konfigurieren

Dim Daten As Byte
Dim Eingabe As Word
Dim Volt As Single
Daten = 1

Do
Eingabe = Getadc(3)                                         'ADC auslesen
Volt = Eingabe * 0.004828                                   'In Volt umrechnen

If Volt < 0.8 Then                                          'Wenn Low
   Daten = 2                                                'dann ein L anteigen
Elseif Volt > 2 Then                                        'Wenn High
   Daten = 3                                                'dann ein H anzeigen
Else                                                        'Wenn anderst
   Daten = 1                                                'dann ein - anzeigen
End If

Gosub Anz                                                   'Daten auf der Anzeige ausgeben
Loop
End

'#######################
Anz:
Select Case Daten

Case 1:                                                     'Z
   Portb.0 = 1
   Portb.1 = 0
   Portb.2 = 0
   Portb.4 = 0
Case 2:                                                     'L
   Portb.1 = 1
   Portb.4 = 1
   Portb.0 = 0
   Portb.2 = 0
Case 3:                                                     'H
   Portb.0 = 1
   Portb.2 = 1
   Portb.4 = 1
   Portb.1 = 0
End Select
Return